## mycompiler.mystatement
Class UnaryNot

    java.lang.Object
      mycompiler.mystatement.UnaryNot

    public class UnaryNot

extends java.lang.Object

Constructor Summary
`UnaryNot()`

Method Summary
`void` `codegen(ClassFile classfile, CodeAttribute code, boolean sw)`
`void` `if_codegen(ClassFile classfile, CodeAttribute code, boolean sw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UnaryNot

    public UnaryNot()

Method Detail

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        boolean sw)
                 throws JVMCodeException

  Throws:
    `JVMCodeException`

### if_codegen

    public void if_codegen(ClassFile classfile,
                           CodeAttribute code,
                           boolean sw)
                    throws JVMCodeException

  Throws:
    `JVMCodeException`